Create multiple proxies
curl --request POST \
--url https://api.gologin.com/proxy/add_proxies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"proxies": [
{
"mode": "http",
"id": "6201422450e3b9cd602f24e1",
"host": "127.0.0.1",
"port": 80,
"username": "user",
"password": "password",
"changeIpUrl": "https://some-proxy-provider.com/change-ip",
"customName": "My Proxy",
"notes": "<string>"
}
],
"workspaceId": "<string>"
}
'import requests
url = "https://api.gologin.com/proxy/add_proxies"
payload = {
"proxies": [
{
"mode": "http",
"id": "6201422450e3b9cd602f24e1",
"host": "127.0.0.1",
"port": 80,
"username": "user",
"password": "password",
"changeIpUrl": "https://some-proxy-provider.com/change-ip",
"customName": "My Proxy",
"notes": "<string>"
}
],
"workspaceId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
proxies: [
{
mode: 'http',
id: '6201422450e3b9cd602f24e1',
host: '127.0.0.1',
port: 80,
username: 'user',
password: 'password',
changeIpUrl: 'https://some-proxy-provider.com/change-ip',
customName: 'My Proxy',
notes: '<string>'
}
],
workspaceId: '<string>'
})
};
fetch('https://api.gologin.com/proxy/add_proxies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "<string>",
"id": "<string>",
"mode": {},
"host": "<string>",
"port": 123,
"username": "<string>",
"password": "<string>",
"lastIp": "<string>",
"changeIpUrl": "<string>",
"profiles": [
"<string>"
],
"profilesCount": 123,
"customName": "<string>",
"status": true,
"country": "<string>",
"defaultCountry": "<string>",
"city": "<string>",
"checkDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"languages": "<string>",
"connectionType": {},
"notes": "<string>",
"isRestoredByOwner": true,
"isStatic": true
}
]Proxy
Create multiple proxies
Adds multiple proxies.
POST
/
proxy
/
add_proxies
Create multiple proxies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Was this page helpful?
⌘I